> ## Documentation Index
> Fetch the complete documentation index at: https://docs.redstoneguard.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# RG_LIVE Routes

> Only endpoints callable with script API keys (rg_live_*)

# RG\_LIVE Callable Routes

| Route              | Method | Auth                                                       | Purpose                              |
| :----------------- | :----- | :--------------------------------------------------------- | :----------------------------------- |
| `/api/keys/create` | `POST` | `x-api-key` or `Authorization: Bearer` or `apiKey` in body | Create a key for a specific script   |
| `/api/keys/verify` | `POST` | `x-api-key` or `Authorization: Bearer`                     | Validate a key for a specific script |

## Auth Rules

* API key must belong to the same `scriptId` in `script_api_keys`.
* If key and script do not match, API returns `401`.
